Subject: Re: bug#10275: speedbar highlights first selected item in speedbar-highlight-face

From: Juanma Barranquero <[email-masked]>
Date: Wed, 14 Dec 2011 18:40:15 +0100

On Wed, Dec 14, 2011 at 18:23, martin rudalics <[email-masked]> wrote:

> What happens is that after the mouse click speedbar does highlight the
> line via `speedbar-highlight-one-tag-line' which installs in
> `pre-command-hook' the function `speedbar-unhighlight-one-tag-line'.
> Next comes a switch-frame event to select the frame of the buffer where
> the highlight is and executing the corresponding `handle-switch-frame'
> command triggers the `pre-command-hook' which swallows the highlight
> immediately.

IOW, the bug is in removing the highlight when selecting subsequent items.

> but I have no idea what Eric intended to accomplish in the first place

I'm Cc:ing him.

Thanks,

    Juanma